summaryrefslogtreecommitdiff
path: root/media-video
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-01-27 11:51:08 +0000
committerV3n3RiX <venerix@redcorelinux.org>2018-01-27 11:51:08 +0000
commit26d89e1bde0053192d8cab360c89e52f207e2937 (patch)
treee2e88ac98dab69be7ab1b81c3748f3920079e48b /media-video
parent443a5a7f5bccc292da9b22ef651fc12fab4038e4 (diff)
media-video/guvcview : use icon from theme
Diffstat (limited to 'media-video')
-rw-r--r--media-video/guvcview/Manifest1
-rw-r--r--media-video/guvcview/files/ffmpeg3.patch26
-rw-r--r--media-video/guvcview/files/guvcview-use-theme-icon.patch12
-rw-r--r--media-video/guvcview/guvcview-2.0.5-r1.ebuild59
4 files changed, 98 insertions, 0 deletions
diff --git a/media-video/guvcview/Manifest b/media-video/guvcview/Manifest
new file mode 100644
index 00000000..4a2be291
--- /dev/null
+++ b/media-video/guvcview/Manifest
@@ -0,0 +1 @@
+DIST guvcview-src-2.0.5.tar.gz 1134237 SHA256 a86beb5993a8449ed3cbcc6ec2a238ef0b90138b6cbe2afab4456d37f44c41a0 SHA512 b4a1216ab2effbd0022d5ba0ce266ac06a781e453d3dbedfe29b654864d3a26fe1e8b68245d76eff854281d42f1871a8a82b06f783b5115e94ec1c111aac05eb WHIRLPOOL 404f6f2afb57b0ac21326e996ab4c21e533a73c1617d3110550cf109c23555a9f2124fb77ac888dc0434844d1b7b5c728265c41bcbeaec6a85bdb4fdf21585b5
diff --git a/media-video/guvcview/files/ffmpeg3.patch b/media-video/guvcview/files/ffmpeg3.patch
new file mode 100644
index 00000000..5397d688
--- /dev/null
+++ b/media-video/guvcview/files/ffmpeg3.patch
@@ -0,0 +1,26 @@
+Index: guvcview-src-2.0.3/gview_v4l2core/jpeg_decoder.c
+===================================================================
+--- guvcview-src-2.0.3.orig/gview_v4l2core/jpeg_decoder.c
++++ guvcview-src-2.0.3/gview_v4l2core/jpeg_decoder.c
+@@ -1436,7 +1436,7 @@ int jpeg_init_decoder(int width, int hei
+ exit(-1);
+ }
+
+- codec_data->context->pix_fmt = PIX_FMT_YUV422P;
++ codec_data->context->pix_fmt = AV_PIX_FMT_YUV422P;
+ codec_data->context->width = width;
+ codec_data->context->height = height;
+ //jpeg_ctx->context->dsp_mask = (FF_MM_MMX | FF_MM_MMXEXT | FF_MM_SSE);
+Index: guvcview-src-2.0.3/gview_v4l2core/uvc_h264.c
+===================================================================
+--- guvcview-src-2.0.3.orig/gview_v4l2core/uvc_h264.c
++++ guvcview-src-2.0.3/gview_v4l2core/uvc_h264.c
+@@ -970,7 +970,7 @@ int h264_init_decoder(int width, int hei
+ }
+
+ h264_ctx->context->flags2 |= CODEC_FLAG2_FAST;
+- h264_ctx->context->pix_fmt = PIX_FMT_YUV420P;
++ h264_ctx->context->pix_fmt = AV_PIX_FMT_YUV420P;
+ h264_ctx->context->width = width;
+ h264_ctx->context->height = height;
+ //h264_ctx->context->dsp_mask = (FF_MM_MMX | FF_MM_MMXEXT | FF_MM_SSE);
diff --git a/media-video/guvcview/files/guvcview-use-theme-icon.patch b/media-video/guvcview/files/guvcview-use-theme-icon.patch
new file mode 100644
index 00000000..eacc5747
--- /dev/null
+++ b/media-video/guvcview/files/guvcview-use-theme-icon.patch
@@ -0,0 +1,12 @@
+diff -Nur a/data/guvcview.desktop.in.in b/data/guvcview.desktop.in.in
+--- a/data/guvcview.desktop.in.in 2017-02-08 16:04:21.000000000 +0000
++++ b/data/guvcview.desktop.in.in 2018-01-27 11:44:55.801092448 +0000
+@@ -5,7 +5,7 @@
+ _Comment=A video viewer and capturer for the linux uvc driver
+ TryExec=guvcview
+ Exec=guvcview
+-Icon=@prefix@/share/pixmaps/guvcview/guvcview.png
++Icon=guvcview
+ Terminal=false
+ Type=Application
+ Categories=Video;AudioVideo;
diff --git a/media-video/guvcview/guvcview-2.0.5-r1.ebuild b/media-video/guvcview/guvcview-2.0.5-r1.ebuild
new file mode 100644
index 00000000..c5102071
--- /dev/null
+++ b/media-video/guvcview/guvcview-2.0.5-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit autotools eutils flag-o-matic qmake-utils toolchain-funcs
+
+MY_P=${PN}-src-${PV}
+
+DESCRIPTION="GTK+ UVC Viewer"
+HOMEPAGE="http://guvcview.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="gsl libav pulseaudio qt5"
+
+RDEPEND=">=dev-libs/glib-2.10
+ media-libs/libpng:0=
+ media-libs/libsdl2
+ media-libs/libv4l
+ >=media-libs/portaudio-19_pre
+ !libav? ( >=media-video/ffmpeg-2.8:0= )
+ libav? ( media-video/libav:= )
+ virtual/ffmpeg
+ virtual/libusb:1
+ virtual/udev
+ pulseaudio? ( >=media-sound/pulseaudio-0.9.15 )
+ gsl? ( >=sci-libs/gsl-1.15 )
+ qt5? ( dev-qt/qtwidgets:5 )
+ !qt5? ( >=x11-libs/gtk+-3.6:3 )
+ !<sys-kernel/linux-headers-3.4-r2" #448260
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/os-headers
+ sys-devel/autoconf-archive
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-use-theme-icon.patch"
+ sed -i '/^docdir/,/^$/d' Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ export MOC="$(qt5_get_bindir)/moc"
+ use qt5 && append-cxxflags -std=c++11
+ # 599030
+ tc-export CC CXX
+ econf \
+ --disable-debian-menu \
+ $(use_enable gsl) \
+ $(use_enable pulseaudio pulse) \
+ $(use_enable qt5) \
+ $(use_enable !qt5 gtk3)
+}